### Function Macro

# GLib STRINGIFY

#### Declaration [src]

    #define G_STRINGIFY (
      macro_or_string
    )

#### Description [src]

Accepts a macro or a string and converts it into a string after preprocessor argument expansion. For example, the following code:

    #define AGE 27
    const gchar *greeting = G_STRINGIFY (AGE) " today!";

is transformed by the preprocessor into (code equivalent to):

    const gchar *greeting = "27 today!";

This function is not directly available to language bindings.

#### Parameters

`macro_or_string`

  Type: `-`

  A macro or a string.